Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Interface Selectors.Factory

Enclosing class:
  Selectors

    protected static interface Selectors.Factory

Factory interface, used for internal implementation

Method Summary
`Selector` | `authoringTemplateEquals(Identity authoringTemplate)`
`Selector` | `authoringTemplateIn(java.util.Collection<? extends Identity> authoringTemplates)`
`Selector` | `authoringTemplateIn(Identity... authoringTemplates)`
`Selector` | `authorsContains(java.util.Collection<java.lang.String> authors)`
`Selector` | `authorsContains(java.lang.String... authors)`
`Selector` | `authorsContains(java.lang.String author)`
`Selector` | `creatorEquals(java.lang.String creator)`
`Selector` | `creatorIn(java.util.Collection<java.lang.String> creators)`
`Selector` | `creatorIn(java.lang.String... creators)`
`Selector` | `idEquals(Identity id)`
`Selector` | `idIn(java.util.Collection<? extends Identity> ids)`
`Selector` | `idIn(Identity... ids)`
`Selector` | `isProjectDraft()`
`Selector` | `libraryEquals(Library library)`
`Selector` | `libraryIn(java.util.Collection<? extends Library> libraries)`
`Selector` | `libraryIn(Library... libraries)`
`Selector` | `nameEquals(java.lang.String name)`
`Selector` | `nameIn(java.util.Collection<java.lang.String> names)`
`Selector` | `nameIn(java.lang.String... names)`
`Selector` | `nameLike(java.lang.String name)`
`Selector` | `ownersContains(java.util.Collection<java.lang.String> authors)`
`Selector` | `ownersContains(java.lang.String... authors)`
`Selector` | `ownersContains(java.lang.String author)`
`Selector` | `projectEquals(Identity id)`
`Selector` | `projectIn(Identity... ids)`
`Selector` | `titleEquals(java.lang.String title)`
`Selector` | `titleIn(java.util.Collection<java.lang.String> titles)`
`Selector` | `titleIn(java.lang.String... titles)`
`Selector` | `titleLike(java.lang.String title)`
`Selector` | `typeEquals(java.lang.Class<? extends Item> type)`
`Selector` | `typeIn(java.lang.Class<? extends Item>... types)`
`Selector` | `typeIn(java.util.Collection<java.lang.Class<? extends Item>> types)`

Method Detail

### typeEquals

    Selector typeEquals(java.lang.Class<? extends Item> type)

### typeIn

    Selector typeIn(java.lang.Class<? extends Item>... types)

### typeIn

    Selector typeIn(java.util.Collection<java.lang.Class<? extends Item>> types)

### idEquals

    Selector idEquals(Identity id)

### idIn

    Selector idIn(Identity... ids)

### idIn

    Selector idIn(java.util.Collection<? extends Identity> ids)

### nameEquals

    Selector nameEquals(java.lang.String name)

### nameLike

    Selector nameLike(java.lang.String name)

### nameIn

    Selector nameIn(java.lang.String... names)

### nameIn

    Selector nameIn(java.util.Collection<java.lang.String> names)

### titleEquals

    Selector titleEquals(java.lang.String title)

### titleLike

    Selector titleLike(java.lang.String title)

### titleIn

    Selector titleIn(java.lang.String... titles)

### titleIn

    Selector titleIn(java.util.Collection<java.lang.String> titles)

### authoringTemplateEquals

    Selector authoringTemplateEquals(Identity authoringTemplate)

### authoringTemplateIn

    Selector authoringTemplateIn(Identity... authoringTemplates)

### authoringTemplateIn

    Selector authoringTemplateIn(java.util.Collection<? extends Identity> authoringTemplates)

### projectEquals

    Selector projectEquals(Identity id)

### projectIn

    Selector projectIn(Identity... ids)

### isProjectDraft

    Selector isProjectDraft()

### libraryEquals

    Selector libraryEquals(Library library)

### libraryIn

    Selector libraryIn(Library... libraries)

### libraryIn

    Selector libraryIn(java.util.Collection<? extends Library> libraries)

### creatorEquals

    Selector creatorEquals(java.lang.String creator)

### creatorIn

    Selector creatorIn(java.lang.String... creators)

### creatorIn

    Selector creatorIn(java.util.Collection<java.lang.String> creators)

### authorsContains

    Selector authorsContains(java.lang.String author)

### authorsContains

    Selector authorsContains(java.lang.String... authors)

### authorsContains

    Selector authorsContains(java.util.Collection<java.lang.String> authors)

### ownersContains

    Selector ownersContains(java.lang.String author)

### ownersContains

    Selector ownersContains(java.lang.String... authors)

### ownersContains

    Selector ownersContains(java.util.Collection<java.lang.String> authors)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD